## org.apache.xerces.util
Class SymbolTable.Entry

    java.lang.Object
      |
      +--org.apache.xerces.util.SymbolTable.Entry

Enclosing class:
  SymbolTable

protected static final class SymbolTable.Entry
extends java.lang.Object

This class is a symbol table entry. Each entry acts as a node in a linked list.

Field Summary
`char[]` `characters` Symbol characters.
`SymbolTable.Entry` `next` The next entry.
`java.lang.String` `symbol` Symbol.

Constructor Summary
`SymbolTable.Entry(char[] ch, int offset, int length, SymbolTable.Entry next)` Constructs a new entry from the specified symbol information and next entry reference.
`SymbolTable.Entry(java.lang.String symbol, SymbolTable.Entry next)` Constructs a new entry from the specified symbol and next entry reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbol

    public java.lang.String symbol

  Symbol.

### characters

    public char[] characters

  Symbol characters. This information is duplicated here for comparison performance.

### next

    public SymbolTable.Entry next

  The next entry.

Constructor Detail

### SymbolTable.Entry

    public SymbolTable.Entry(java.lang.String symbol,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol and next entry reference.

### SymbolTable.Entry

    public SymbolTable.Entry(char[] ch,
                             int offset,
                             int length,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol information and next entry reference.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.